'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
var _jsxFileName = 'src/CustormPasswordBox.js';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _PasswordBoxBody = require('./PasswordBoxBody');

var _PasswordBoxBody2 = _interopRequireDefault(_PasswordBoxBody);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function CustormPasswordBox(props) {

    var custormClass = (0, _classnames2.default)('lm-pwd-cont', 'lm-password-box-def', '' + props.className);

    return _react2.default.createElement(
        'section',
        _defineProperty({ className: custormClass, onClick: props.onClick, __source: {
                fileName: _jsxFileName,
                lineNumber: 11
            },
            __self: this
        }, '__self', this),
        _react2.default.createElement(_PasswordBoxBody2.default, _defineProperty({
            value: props.value,
            passwordLen: props.passwordLen,
            isEncrypt: props.isEncrypt,
            hasAnimation: props.hasAnimation,

            hasError: props.hasError,
            classConfig: props.classConfig,
            contentType: props.contentType,
            animationDuration: props.animationDuration,
            __source: {
                fileName: _jsxFileName,
                lineNumber: 13
            },
            __self: this
        }, '__self', this))
    );
}

exports.default = CustormPasswordBox;
module.exports = exports['default'];