'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
var _jsxFileName = 'src/PasswordBoxBody.js';
exports.default = PasswordBoxBody;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _PasswordBoxItem = require('./PasswordBoxItem');

var _PasswordBoxItem2 = _interopRequireDefault(_PasswordBoxItem);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

function PasswordBoxBody(props) {
    var _this = this;

    var isEncrypt = props.isEncrypt,
        _props$value = props.value,
        value = _props$value === undefined ? '' : _props$value,
        hasAnimation = props.hasAnimation,
        hasError = props.hasError,
        classConfig = props.classConfig,
        contentType = props.contentType,
        animationDuration = props.animationDuration;

    /*
     * string 变为 数组
     * */

    var stringToArray = function stringToArray(str) {
        var len = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : props.passwordLen;

        var _tempArr = str.split('').slice(0, len);
        var _emptyArr = Array.from({ length: len - _tempArr.length }, function () {
            return '';
        });
        return [].concat(_toConsumableArray(_tempArr), _toConsumableArray(_emptyArr));
    };

    return _react2.default.createElement(
        'div',
        _defineProperty({ className: 'lm-pwd-body', __source: {
                fileName: _jsxFileName,
                lineNumber: 26
            },
            __self: this
        }, '__self', this),
        stringToArray(value).map(function (item, index) {

            return _react2.default.createElement(_PasswordBoxItem2.default, _defineProperty({
                itemVal: item,
                hasAnimation: hasAnimation,
                isEncrypt: isEncrypt,
                key: 'key-pwd-item-' + index,

                hasError: hasError,
                classConfig: classConfig,
                contentType: contentType,
                animationDuration: animationDuration,
                __source: {
                    fileName: _jsxFileName,
                    lineNumber: 30
                },
                __self: _this
            }, '__self', _this));
        })
    );
}
module.exports = exports['default'];