import React from 'react';
import classNames from 'classnames'

export default class EyeButton extends React.PureComponent{

    render(){

        let {isEncrypt, eyeButtonClassName} = this.props;
        let {openEyeClass, closeEyeClass} = eyeButtonClassName;

        let classnamePrev = 'lm-password-eye-button';

        let _eyeButtonClass = isEncrypt ?
            classNames(`${classnamePrev}`, `${classnamePrev}-close`, closeEyeClass):
            classNames(`${classnamePrev}`, `${classnamePrev}-open`, openEyeClass);

        return(
            <div className={ _eyeButtonClass } onClick={ this.props.handleEyeButtonClick}> </div>
        )

    }

}
