import React from 'react';
import PasswordBody from './PasswordBoxBody';
import classNames from 'classnames'


function CustormPasswordBox(props) {

    let custormClass = classNames(`lm-pwd-cont`, `lm-password-box-def`, `${props.className}`)

    return (
        <section className={ custormClass } onClick={props.onClick}>

            <PasswordBody
                value={ props.value }
                passwordLen={ props.passwordLen }
                isEncrypt={ props.isEncrypt }
                hasAnimation={ props.hasAnimation }

                hasError={ props.hasError }
                classConfig={ props.classConfig }
                contentType={ props.contentType }
                animationDuration={ props.animationDuration }
            />

        </section>
    )

}

export default CustormPasswordBox
